Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.reasoner.dig
Class DIGErrorResponseException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  com.hp.hpl.jena.shared.JenaException
                      com.hp.hpl.jena.reasoner.dig.DIGReasonerException
                          com.hp.hpl.jena.reasoner.dig.DIGErrorResponseException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  DIGInconsistentKBException

    public class DIGErrorResponseException

extends DIGReasonerException

An exception that encapsulates an error response from the DIG server, including error number and message.

Version:
  Release @release@ ($Id: DIGErrorResponseException.java,v 1.9 2008/01/02 12:07:11 andy_seaborne Exp $)
Author:
  Ian Dickinson, HP Labs (email)
See Also:
  Serialized Form

Field Summary
`static int` | `CANNOT_CREATE_NEW_KB`
`static int` | `GENERAL_ASK_ERROR`
`static int` | `GENERAL_TELL_ERROR`
`static int` | `GENERAL_UNSPECIFIED_ERROR`
`static int` | `KB_RELEASE_ERROR`
`static int` | `MAFORMED_REQUEST`
`static int` | `MALFORMED_KB_URI`
`static int` | `MISSING_URI`
`static int` | `UNKNOWN_ASK_OPERATION`
`static int` | `UNKNOWN_OR_STALE_KB_URI`
`static int` | `UNKNOWN_REQUEST`
`static int` | `UNKNOWN_TELL_OPERATION`
`static int` | `UNSUPPORTED_ASK_OPERATION`
`static int` | `UNSUPPORTED_OPERATION`
`static int` | `UNSUPPORTED_TELL_OPERATION`

Constructor Summary
`DIGErrorResponseException(java.lang.String msg, java.lang.String msgAttr, int errorCode)`

Method Summary
`java.lang.String` | `getDIGMessageAttrib()` Answer the error message sent back by DIG as the 'message' attribute.
`int` | `getErrorCode()` Answer the error code sent back by DIG.

Methods inherited from class com.hp.hpl.jena.shared.JenaException
`getCause, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### GENERAL_UNSPECIFIED_ERROR

    public static final int GENERAL_UNSPECIFIED_ERROR

See Also:
  Constant Field Values

### UNKNOWN_REQUEST

    public static final int UNKNOWN_REQUEST

See Also:
  Constant Field Values

### MAFORMED_REQUEST

    public static final int MAFORMED_REQUEST

See Also:
  Constant Field Values

### UNSUPPORTED_OPERATION

    public static final int UNSUPPORTED_OPERATION

See Also:
  Constant Field Values

### CANNOT_CREATE_NEW_KB

    public static final int CANNOT_CREATE_NEW_KB

See Also:
  Constant Field Values

### MALFORMED_KB_URI

    public static final int MALFORMED_KB_URI

See Also:
  Constant Field Values

### UNKNOWN_OR_STALE_KB_URI

    public static final int UNKNOWN_OR_STALE_KB_URI

See Also:
  Constant Field Values

### KB_RELEASE_ERROR

    public static final int KB_RELEASE_ERROR

See Also:
  Constant Field Values

### MISSING_URI

    public static final int MISSING_URI

See Also:
  Constant Field Values

### GENERAL_TELL_ERROR

    public static final int GENERAL_TELL_ERROR

See Also:
  Constant Field Values

### UNSUPPORTED_TELL_OPERATION

    public static final int UNSUPPORTED_TELL_OPERATION

See Also:
  Constant Field Values

### UNKNOWN_TELL_OPERATION

    public static final int UNKNOWN_TELL_OPERATION

See Also:
  Constant Field Values

### GENERAL_ASK_ERROR

    public static final int GENERAL_ASK_ERROR

See Also:
  Constant Field Values

### UNSUPPORTED_ASK_OPERATION

    public static final int UNSUPPORTED_ASK_OPERATION

See Also:
  Constant Field Values

### UNKNOWN_ASK_OPERATION

    public static final int UNKNOWN_ASK_OPERATION

See Also:
  Constant Field Values

Constructor Detail

### DIGErrorResponseException

    public DIGErrorResponseException(java.lang.String msg,
                                     java.lang.String msgAttr,
                                     int errorCode)

Method Detail

### getErrorCode

    public int getErrorCode()

  Answer the error code sent back by DIG. Well known error codes are listed as constants exported from this class.

  Returns:
    The DIG error code; the value of the `code` attribute in the error response returned by the reasoner.

### getDIGMessageAttrib

    public java.lang.String getDIGMessageAttrib()

  Answer the error message sent back by DIG as the 'message' attribute.

  Returns:
    The DIG error message; the value of the `message` attribute in the error response returned by the reasoner

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008 Hewlett-Packard Development Company, LP